Recommended update for shim

SUSE Recommended Update: Recommended update for shim
Announcement ID: SUSE-RU-2019:2519-1
Rating: moderate
References: #1118363 #1145676
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4
  • SUSE CaaS Platform 3.0

An update that has two recommended fixes can now be installed.

Description:

This update for shim fixes the following issues:

  • Update shim-install to specify the target for grub2-install and change the boot efi file name according to the architecture (FATE#325971, bsc#1145676)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-2519=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-2519=1
  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (x86_64):
    • shim-14-25.6.1
  • SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
    • shim-14-25.6.1
  • SUSE CaaS Platform 3.0 (x86_64):
    • shim-14-25.6.1

References: